Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedit.lang
Class PatchTokenMarker

    java.lang.Object
      jedit.TokenMarker
          jedit.lang.PatchTokenMarker

    public class PatchTokenMarker

extends TokenMarker

Patch/diff token marker.

Version:
  $Id: PatchTokenMarker.java,v 1.1 2004/05/05 10:44:26 jferber Exp $
Author:
  Slava Pestov

Nested Class Summary

Nested classes/interfaces inherited from class jedit.TokenMarker
`TokenMarker.LineInfo`

Field Summary

Fields inherited from class jedit.TokenMarker
`firstToken, lastLine, lastToken, length, lineInfo, nextLineRequested`

Constructor Summary
`PatchTokenMarker()`

Method Summary
`byte` | `markTokensImpl(byte token, javax.swing.text.Segment line, int lineIndex)` An abstract method that splits a line up into tokens.
`boolean` | `supportsMultilineTokens()` Returns if the token marker supports tokens that span multiple lines.

Methods inherited from class jedit.TokenMarker
`addToken, deleteLines, ensureCapacity, getLineCount, insertLines, isNextLineRequested, markTokens`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatchTokenMarker

    public PatchTokenMarker()

Method Detail

### markTokensImpl

    public byte markTokensImpl(byte token,
                               javax.swing.text.Segment line,
                               int lineIndex)

  Description copied from class: `TokenMarker`
  An abstract method that splits a line up into tokens. It should parse the line, and call `addToken()` to add syntax tokens to the token list. Then, it should return the initial token type for the next line.

  For example if the current line contains the start of a multiline comment that doesn't end on that line, this method should return the comment token type so that it continues on the next line.

  Specified by:
    `markTokensImpl` in class `TokenMarker`
  Parameters:
    `token` - The initial token type for this line
    `line` - The line to be tokenized
    `lineIndex` - The index of the line in the document, starting at 0
  Returns:
    The initial token type for the next line

### supportsMultilineTokens

    public boolean supportsMultilineTokens()

  Description copied from class: `TokenMarker`
  Returns if the token marker supports tokens that span multiple lines. If this is true, the object using this token marker is required to pass all lines in the document to the `markTokens()` method (in turn).

  The default implementation returns true; it should be overridden to return false on simpler token markers for increased speed.

  Overrides:
    `supportsMultilineTokens` in class `TokenMarker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.